/* google font  */
@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap");

/* common css part strat  */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

ul {
  margin: 0;
  padding: 0;
}

li {
  list-style: none;
}

a {
  text-decoration: none;
  display: inline-block;
}

body {
  font-family: "Inter", sans-serif;
  background-color: #1b0f2e;
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
a {
  margin-bottom: 0;
}

.g-4,
.gy-4 {
  --bs-gutter-y: 30px;
}

.g-4,
.gx-4 {
  --bs-gutter-x: 30px;
}

/* root  */
:root {
  --color_black: #333333;
  --color_paragraph: #616161;
  --color_white: #fff;
  --color_green: #45f882;
  --color_gray_light: #e5e7eb;
}

.main_titel {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 14px;
}
.main_titel.two {
  align-items: start;
}

.sub_titel {
  font-size: 20px;
  font-weight: 400;
  line-height: normal;
  letter-spacing: -0.6px;
  color: var(--color_white);
  width: fit-content;
  border-radius: 999px;
  border: 1.2px solid rgba(113, 243, 151, 0.52);
  background: rgba(255, 255, 255, 0.04);
  padding: 15px 25px;
  position: relative;
}

.sub_titel::after {
  position: absolute;
  content: "";
  top: -1px;
  right: 25px;
  width: 60px;
  height: 1px;
  background: linear-gradient(142.21deg, #fff780 14.43%, #9afe4e 88.14%);
}
.sub_titel::before {
  position: absolute;
  content: "";
  bottom: -1px;
  left: 26px;
  width: 60px;
  height: 1px;
  background: linear-gradient(142.21deg, #fff780 14.43%, #9afe4e 88.14%);
}

.titel {
  font-size: 52px;
  font-weight: 600;
  line-height: normal;
  letter-spacing: -0.52px;
  color: var(--color_white);
}

/* button  */

.theme-btn,
.theme-btn_border {
  cursor: pointer;
  overflow: hidden;
  position: relative;
  text-align: center;
  background-color: var(--color_green);
  border-radius: 12px;
  transition: all linear 0.5s;
  color: #121313;
  font-size: 16px;
  font-weight: 500;
  line-height: 26px;
  height: 56px;
  line-height: 56px;
  padding: 0 33px;
}

.theme-btn:hover {
  color: #121313;
}

.theme-btn:before {
  background-color: #fff;
  content: "";
  height: 150px;
  left: -75px;
  opacity: 0;
  position: absolute;
  top: -35px;
  transform: rotate(35deg);
  transition: all 1.6s cubic-bezier(0.19, 1, 0.22, 1);
  width: 40px;
}

.theme-btn:hover:before {
  left: 120%;
  opacity: 0.3;
  transition: all 1.3s cubic-bezier(0.19, 1, 0.22, 1);
}

.hover-theme-color:hover {
  color: #06ae5a;
}

/* common css part end  */

/* header css part start  */
.header {
  padding: 16px 0;
  border-bottom: 1px solid rgba(255, 255, 255, 0.16);
  position: fixed;
  width: 100%;
  z-index: 999;
}
.header.nav-bg {
  animation: slideDown 1s ease-out;
  z-index: 999;
  background-color: #04091e;
  border: 0;
  box-shadow: 0 14px 16px 0 rgba(11, 2, 55, 0.1);
}

@keyframes slideDown {
  from {
    transform: translateY(-100%);
  }
  to {
    transform: translateY(0);
  }
}
.header_main {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 50px;
}
.header_main_left {
  display: flex;
  align-items: center;
  gap: 60px;
}
.menu {
  display: flex;
  align-items: center;
  gap: 44px;
}
.menu li a {
  color: var(--color_white);
  font-size: 18px;
  font-weight: 500;
  line-height: 26px;
  transition: all 0.3s;
}
.menu li a:hover {
  color: var(--color_green);
}

.container-full {
  width: 100%;
}
.mobile-header {
  display: none;
}
.mobile-header__container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 15px;
}
#nav-opn-btn {
  width: 40px;
  height: 40px;
  border: none;
  background: var(--color_green);
  color: #04091e;
  border-radius: 5px;
  font-size: 18px;
}
#offcanvas-nav {
  background: transparent;
  position: absolute;
  left: -300px;
  top: 0px;
  z-index: 99;
  width: 300px;
  height: 100vh;
  z-index: 999999;
  transition: 0.5s ease;
}
#offcanvas-nav::before {
  content: "";
  width: 0%;
  height: 100%;
  background: rgba(0, 0, 0, 0.8);
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: -1;
  transition: 0.5s ease 0.3s;
}
#offcanvas-nav.open {
  left: 0px;
}
#offcanvas-nav.open::before {
  width: 100%;
}
#offcanvas-nav .m-nav {
  position: relative;
  background: #04091e;
  padding-top: 80px;
  padding-left: 25px;
  padding-right: 25px;
  padding-bottom: 50px;
  z-index: 9;
  display: block;
  height: 100%;
  overflow-y: scroll;
}
#nav-cls-btn {
  position: absolute;
  right: 15px;
  top: 15px;
  background: none;
  border: none;
  outline: none;
  color: var(--color_white);
}

#offcanvas-nav .m-nav .nav-links li {
  border-bottom: 1px solid #d3d3d3;
  margin-bottom: 20px;
  padding-bottom: 10px;
}
#offcanvas-nav .m-nav .nav-links li:last-of-type {
  padding-bottom: 0px;
  margin-bottom: 0;
}
#offcanvas-nav .m-nav .nav-links li a {
  font-size: 16px;
  color: var(--color_white);
}
#offcanvas-nav .m-nav .nav-links li a::before {
  display: none;
}
#offcanvas-nav li:last-of-type {
  border: 0 !important;
}

#offcanvas-nav .m-nav .logo {
  margin-bottom: 40px;
}

/* header css part end  */

/* hero css part start  */
.hero {
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  padding-top: 144px;
}

.hero_text {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 14px;
}

.hero_text h6 {
  font-size: 20px;
  font-weight: 600;
  letter-spacing: -0.6px;
  color: var(--color_white);
  padding: 15px 25px;
  border-radius: 999px;
  border: 1.2px solid rgba(113, 243, 151, 0.23);
  background: rgba(255, 255, 255, 0.04);
  width: fit-content;
  position: relative;
}

.hero_text h6::after {
  position: absolute;
  content: "";
  top: -1px;
  right: 100px;
  width: 90px;
  height: 1px;
  background: linear-gradient(93.92deg, #077afd 0%, #76fa91 100%);
}
.hero_text h6::before {
  position: absolute;
  content: "";
  bottom: -1px;
  left: 50px;
  width: 90px;
  height: 1px;
  background: linear-gradient(93.92deg, #077afd 0%, #76fa91 100%);
}

.hero_text h1 {
  text-align: center;
  font-size: 52px;
  font-weight: 500;
  line-height: 66px;
  color: var(--color_white);
}

.hero_text h1 span {
  background: linear-gradient(92deg, #fffe8b 1.48%, #9afe4e 49.03%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-weight: 800;
  letter-spacing: -1.04px;
}
.hero_text h1 .span-2 {
  background: linear-gradient(
    93deg,
    #fff780 60.75%,
    #ff8302 105.76%
  ) !important;
  background-clip: text !important;
  -webkit-background-clip: text !important;
  -webkit-text-fill-color: transparent !important;
}

/* hero_btn  */

.hero_btn {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 30px;
  margin-top: 30px;
}

.hero_theme_btn {
  line-height: 56px;
  color: var(--color_white);
  border-radius: 8px;
  background-color: #ff093e;
}
.hero_theme_btn:hover {
  color: var(--color_white);
}
.hero_theme_btn_2 {
  background-color: #ff8e0e;
}

.hero_theme_btn_3 {
  background: #0181f9;
}

.hero_theme_btn_4 {
  background: #f35656;
}

.hero_theme_btn_5 {
  background: #9601f9;
}

.hero_thumb {
  margin-top: 95px;
}

.hero_thumb_main {
  position: relative;
}

.hero_thumb_main_left,
.hero_thumb_main_right {
  position: absolute;
  top: -94px;
  left: -96px;
  width: 180px;
  height: 200px;
}

.hero_thumb_main_right {
  left: inherit;
  right: -56px;
}
.hero_thumb_main_right img {
  animation: moving 9s linear infinite;
}
.hero_thumb_main_left img {
  animation: moving 8s linear infinite;
}

@keyframes moving {
  0% {
    transform: translatey(0px);
  }
  20% {
    transform: translateX(-50px);
  }
  50% {
    transform: translatey(-40px);
  }
  100% {
    transform: translatey(0px);
  }
}
/* hero css part end  */

/* features css part start  */
.features {
  padding: 100px 0;
}

.feature_item_main {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 30px;
  justify-content: center;
  margin-top: 38px;
}

.feature_item {
  border-radius: 16px;
  border: 1px solid rgba(255, 255, 255, 0.16);
  background: linear-gradient(
    180deg,
    rgba(255, 255, 255, 0.1) 0%,
    rgba(88, 71, 71, 0.1) 100%
  );
  padding: 30px 30px 20px 30px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  width: 23%;
  height: 220px;
  text-align: center;
}

.feature_item_icon {
  width: 65px;
  height: 65px;
  overflow: hidden;
  border-radius: 50%;
  transition: all 0.3s;
}

.feature_item_text h4 {
  font-size: 28px;
  font-weight: 500;
  line-height: 40px;
  letter-spacing: -0.84px;
  color: var(--color_white);
}

/* features css part end  */

/* demo css part start  */
.demo {
  padding-top: 100px;
  padding-bottom: 100px;
  background-color: rgba(46, 7, 108, 0.4);
}

.demo_thumb {
  margin-top: 30px;
}

.demo_btn {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 30px;
}

.theme-btn_border {
  background-color: transparent;
  color: var(--color_white);
  border: 1px solid var(--color_white);
}
.theme-btn_border:hover {
  background-color: var(--color_green);
  color: #121313;
  border-color: var(--color_green);
}

/* demo css part end  */

/* product css part start  */
.product {
  padding-bottom: 100px;
}

.product .main_titel {
  padding-right: 30px;
}

.product_list {
  margin: 28px 0 50px 0;
}

.product_list li {
  display: flex;
  align-items: center;
  gap: 8px;
  font-size: 16px;
  font-weight: 400;
  line-height: normal;
  color: var(--color_white);
  padding-bottom: 16px;
}
.product_list li:last-of-type {
  padding-bottom: 0px;
}

.product_thumb {
  width: 502px;
  height: 420px;
  overflow: hidden;
}

/* product css part end  */

/* gateway css part start  */

.color_change .gateway_bg {
  padding: 60px;
}

.color_change .gateway_thumb {
  width: 547px;
  height: 417px;
}
.color_change .gateway_thumb img {
  width: 100%;
  height: 100%;
}

.payment .gateway_thumb {
  width: 655px;
  height: 311px;
}
.payment .gateway_thumb img {
  width: 100%;
  height: 100%;
}

.languages .gateway_thumb {
  width: 570px;
  height: 380px;
}

.gateway {
  padding-bottom: 100px;
  top: 150px;
  position: sticky;
}

.gateway_bg {
  padding: 80px 60px;
  border-radius: 24px;
  background: #241934;
}
.gateway .product_list {
  margin-bottom: 0;
}

.gateway_thumb_main {
  display: flex;
  justify-content: end;
}

.gateway_thumb {
  width: 623px;
  height: 328px;
}

.gateway_thumb img {
  width: 100%;
  height: 100%;
}

.scrollber {
  padding-top: 100px;
}

.paw .gateway_thumb {
  height: 450px;
  width: 540px;
}

.spaeed-thumb {
  width: 367px;
  height: 356px;
}
.spaeed-thumb img {
  width: 100%;
  height: 100%;
}

/* gateway css part end  */

/* payment css part start  */
.payment .gateway_thumb_main {
  justify-content: start;
}
.languages .gateway_thumb_main {
  justify-content: start;
}
/* payment css part end  */

/* more_feature css part start  */

.more_feature {
  padding: 100px 0 100px 0;
}
.more_feature .main_titel {
  margin-bottom: 36px;
}
.more_feature .feature_item {
  width: 100%;
  padding: 30px 35px 20px 35px;
  border: 0;
}
.more_feature .feature_item_icon {
  border-radius: unset;
}
.more_feature .feature_item_text h4 {
  font-size: 24px;
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}

/* more_feature css part end  */

/* responsive css part start  */

.responsive {
  padding: 100px 0;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}
.responsive .main_titel {
  text-align: center;
}

.responsive_item_mt {
  margin-top: 110px;
}

.responsive_item {
  padding: 50px 70px;
  background-color: #311859;
  text-align: center;
  height: 205px;
}

.responsive_item.one {
  border-right: 1px solid rgba(255, 255, 255, 0.07);
  border-bottom: 1px solid rgba(255, 255, 255, 0.07);
}
.responsive_item.two {
  border-top: 1px solid rgba(255, 255, 255, 0.07);
  border-left: 1px solid rgba(255, 255, 255, 0.07);
}

.responsive_item_text {
  margin-top: 10px;
}

.responsive_item_text h5 {
  font-size: 18px;
  font-weight: 600;
  line-height: 28px;
  color: var(--color_white);
}
.responsive_item_text h6 {
  font-size: 18px;
  font-weight: 400;
  line-height: 28px;
  color: var(--color_white);
}

/* responsive css part end  */

/* inner_page css part start  */
.inner_page {
  padding: 100px 0 0 0;
}

.inner_thumb_main {
  margin-top: 36px;
  overflow-x: hidden;
  display: flex;
  gap: 24px;
}

.inner_thumb_item {
  animation: slide 30s linear infinite;
  display: flex;
  gap: 24px;
}

.inner_thumb {
  width: 386px;
  height: 759px;
  aspect-ratio: 193 / 380;
}
.inner_thumb img {
  width: 100%;
  height: 100%;
}

@keyframes slide {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-100%);
  }
}

/* inner_page css part end  */

/* mobile-app css part start  */
.mobile-app {
  padding: 100px 0;
}

.mobile-app_bg {
  padding: 60px 120px 0 120px;
  border-radius: 24px;
  background: #220c47;
}

.mobile-app_text h2 {
  font-size: 52px;
  font-weight: 500;
  line-height: 60px;
  letter-spacing: -2px;
  color: var(--color_white);
}
.mobile-app_text p {
  color: #e5e7eb;
  font-size: 18px;
  font-weight: 400;
  line-height: normal;
  letter-spacing: -0.18px;
  padding-top: 10px;
}
.mobile-app_text p span {
  color: #ffb321;
}
.mobile-app_text {
  text-align: center;
}
.mobile-app_btn {
  text-align: center;
  margin-top: 26px;
}

.mobile-app_btn .theme-btn {
  background-color: #ffb321;
}

/* mobile-app css part end  */

/* contact css part start  */
.contact_us {
  padding: 100px 0 15px 0;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  overflow: hidden;
  position: relative;
}

.contact_us_text h2 {
  font-size: 52px;
  font-weight: 600;
  line-height: 72px;
  letter-spacing: -1.56px;
  color: var(--color_white);
}
.contact_us_text h2 span {
  font-style: italic;
  font-weight: 300;
}
.contact_us_text h2 .text-color {
  background: linear-gradient(142deg, #fff780 14.43%, #9afe4e 88.14%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-weight: 600;
}

.contact_us_btn {
  display: flex;
  align-items: center;
  gap: 32px;
  margin-top: 50px;
}

.contact_us_btn a {
  height: 66px;
  border-radius: 8px;
  overflow: hidden;
}
.contact_us_btn a img {
  height: 100%;
}

.contact_thumb_main {
  display: flex;
  justify-content: end;
}

.contact_thumb {
  width: 388px;
  height: 616px;
}
.contact_thumb img {
  width: 100%;
  height: 100%;
}

.contact_animetion_main {
  position: relative;
}

.contact_animetion {
  position: absolute;
  bottom: -570px;
  left: 50%;
  transform: translate(-50%, -50%);
  background: rgba(255, 255, 255, 0.2);
  border-radius: 100%;
  animation: animetion_circel 6s linear infinite;
}
.contact_animetion.two {
  animation: animetion_circel 5s linear infinite;
}
.contact_animetion.three {
  animation: animetion_circel 4s linear infinite;
}
.contact_animetion.four {
  animation: animetion_circel 3s linear infinite;
}

@keyframes animetion_circel {
  0% {
    width: 0;
    height: 0;
  }

  95% {
    opacity: 2%;
  }

  100% {
    width: 700px;
    height: 700px;
    opacity: 0;
  }
}

/* contact css part end  */

/* footer css part start  */
.footer {
  padding: 120px 0;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.footer_text {
  margin-top: 70px;
}
.footer_text h2 {
  font-size: 62px;
  font-weight: 600;
  line-height: 75px;
  letter-spacing: -1.86px;
  color: var(--color_white);
  padding: 0 65px;
}

.footer_icon svg {
  width: 120px;
  height: 120px;
}
.footer_text h4 {
  font-size: 24px;
  font-weight: 400;
  line-height: 35px;
  color: var(--color_white);
  margin-top: 50px;
}

.footer_btn_main {
  display: flex;
  justify-content: center;
  gap: 44px;
  margin-top: 30px;
}

.footer_pos_thumb_main {
  position: relative;
}
.footer_pos_thumb {
  position: absolute;
  top: -428px;
  left: -286px;
  width: 384px;
  height: 381px;
}

.footer_pos_thumb img {
  width: 100%;
  height: 100%;
  animation: moving 8s linear infinite;
}

.footer_pos_thumb_two {
  width: 427px;
  height: 340px;
  position: absolute;
  top: -301px;
  right: -248px;
}

.footer_pos_thumb_two img {
  width: 100%;
  height: 100%;
  animation: moving 9s linear infinite;
}
/* footer css part end  */
